<h1>Compras del usuario </h1>
<div class="container">
  <table mat-table class="mat-elevation-z8" [dataSource]="products_purchased">
    <ng-container matColumnDef="Nombre">
      <th mat-header-cell *matHeaderCellDef> Nombre </th>
      <td mat-cell *matCellDef="let element;"> {{element.product.name}}</td>
    </ng-container>

    <ng-container matColumnDef="Descripcion">
      <th mat-header-cell *matHeaderCellDef> Descripción </th>
      <td mat-cell *matCellDef="let element"> {{element.product.description}} </td>
    </ng-container>

    <ng-container matColumnDef="Cantidad">
      <th mat-header-cell *matHeaderCellDef> Cantidad </th>
      <td mat-cell *matCellDef="let element"> {{element.quantity}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  </div>
